package com.bohuikeji.frame.module.admin.entity.auth;

import com.bohuikeji.frame.module.admin.entity.sys.SysUser;
import com.bohuikeji.frame.module.admin.utils.StringUtils;

/**
 * 角色认证
 * @author 10552
 */
public class RoleAuth extends BaseAuth{
    @Override
    public String getValue(SysUser user) {
        //平台返回所有角色
        if(user.getRoleId().equals(1)){
            return coverListByStr(user.sql().selectObjs("select role_id from sys_role"));
        }
        //加盟商返回自己的角色+指定角色
        if(user.getRoleId().equals(7)){
            String ids=coverListByStr(user.sql().selectObjs("select role_id from sys_role where role_type=2 and fran_id="+user.getFranId()));
            if(StringUtils.isBlank(ids)){
                return "17";
            }
            else{
                return ids+",17";
            }
        }
        return "";
    }
}
